Package org.eclipse.m2m.atl.adt.ui.editor

# Class IOccurrencesFinder.OccurrenceLocation

java.lang.Object
org.eclipse.m2m.atl.adt.ui.editor.IOccurrencesFinder.OccurrenceLocation

Enclosing interface:
  `IOccurrencesFinder`

public static class IOccurrencesFinder.OccurrenceLocation extends Object
Element representing a occurrence

## Constructor Summary

Constructors
Constructor
Description
`OccurrenceLocation(int offset, int length, int flags, String description)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
`int`
`getFlags()`
`int`
`getLength()`
`int`
`getOffset()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OccurrenceLocation

public OccurrenceLocation(int offset, int length, int flags, String description)

## Method Details

### getOffset

public int getOffset()

### getLength

public int getLength()

### getFlags

public int getFlags()

### getDescription

public String getDescription()

### toString

public String toString()

Overrides:
  `toString` in class `Object`